## visad.data.in
Class ValueProcessor

    java.lang.Object
      visad.data.in.ValueProcessor

Direct Known Subclasses:
  ValueRanger, ValueUnpacker, ValueVetter

public abstract class ValueProcessor
extends Object

Provides support for processing primitive data values (i.e. checking their values, converting them, etc.).

Instances are immutable.

Field Summary
`protected static ValueProcessor` `trivialProcessor` The trivial processor (does nothing).

Constructor Summary
`protected` `ValueProcessor()` Constructs from nothing.

Method Summary
`abstract double` `process(double value)` Processes a double value.
`abstract double[]` `process(double[] values)` Processes double values.
`abstract float` `process(float value)` Processes a float value.
`abstract float[]` `process(float[] values)` Processes float values.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### trivialProcessor

    protected static final ValueProcessor trivialProcessor

  The trivial processor (does nothing).

Constructor Detail

### ValueProcessor

    protected ValueProcessor()

  Constructs from nothing.

Method Detail

### process

    public abstract float process(float value)

  Processes a float value.

  Parameters:
    `value` - The value to be processed.
  Returns:
    The processed value.

### process

    public abstract double process(double value)

  Processes a double value.

  Parameters:
    `value` - The value to be processed.
  Returns:
    The processed value.

### process

    public abstract float[] process(float[] values)

  Processes float values.

  Parameters:
    `values` - The values to be processed.
  Returns:
    The processed values (same array as input).

### process

    public abstract double[] process(double[] values)

  Processes double values.

  Parameters:
    `values` - The values to be processed.
  Returns:
    The processed values (same array as input).